# © 2022 Le Filament (<https://www.le-filament.com>)
# © 2022 Confédération Générale des Scop (<https://www.les-scop.coop>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from marshmallow import fields

from odoo.addons.datamodel.core import Datamodel


class CgScopGendocBaseSearchParam(Datamodel):
    _name = "cgscopgendoc.base.search.param"

    id = fields.Integer(required=False, allow_none=False)
    filter = fields.String(required=False, allow_none=False)
    offset = fields.Integer(required=False, allow_none=False)
    limit = fields.Integer(required=False, allow_none=False)
    ur_id = fields.Integer(required=False, allow_none=False)
    delegate_id = fields.Integer(required=False, allow_none=False)
